tm_bits_scroller_block:
  label: Scroller Block
  namespace: Molecules/TM - Bits & Pieces
  use: '@molecules/tm-bits/tm-bits-scroller-block.twig'
  description: Scroller Block
  dependencies:
    - icon-bookended
    - list
  fields:
    title:
      type: pattern
      label: Title
      preview:
        - id: icon-bookended
          fields:
            text: Latest News
            icon_right: fal fa-angle-right
            icon_left: fas fa-cogs
            class: belianr
    content:
      type: pattern
      label: Content
      preview:
        - id: list
          fields:
            list:
              - <a href='#'>Something Something Something Something Something</a>
              - <a href='#'>Some thing Some thing Some thing Some thing Something</a>
              - <a href='#'>Something Some thing Something Some thing Something</a>
              - <a href='#'>Some thing Something Something Something Some thing</a>
              - <a href='#'>Something Some thing Some thing Some thing Something</a>
              - <ah ref='#'>Something Something Something Something Something</a>
          settings:
            list_class: ulc scroll-list
  settings:
    class:
      type: textfield
      label: Class
      preview: col-md-4
